@echo off

:: --------------------------------------------
:: TIF-Clean Installer/Uninstaller (9X version)
:: --------------------------------------------
::
:: Created by Eric L. Howes
::            eburger68@myrealbox.com
::            http://www.staff.uiuc.edu/~ehowes/
::
:: This file installs and uninstalls the Windows 9x/Me version of 
:: TIF-Clean (TIF-CLN-9X). This version should not be used on 
:: Windows NT/2K/XP systems. For Windows NT/2K/XP, use TIF-CLN-NT.
::
:: Copyright (c) 2000-2002 Eric L. Howes
::
:: This program is free software; you can redistribute it and/or modify it under
:: the terms of the GNU General Public License as published by the Free Software
:: Foundation; either version 2, or (at your option) any later version.
::
:: This program is distributed in the hope that it will be useful, but WITHOUT ANY
:: WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
:: A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
::
:: Some files distributed with this package may not be covered by the GNU GPL. Those
:: files remain the property of their original owners and are covered by the licenses
:: under which they were originally distributed.
::
:: All trademarks are the property of their respective owners.
::
:: You should have received a copy of the GNU General Public License along with this
:: program; see the file COPYING.  If not, write to the Free Software Foundation,
:: 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

:prep

:: check for Windows NT/2K/XP

if exist %SYSTEMROOT%\system32\config goto NO-NT

:: check for/install CHOICE.COM

if exist %WINDIR%\command\choice.com goto menu
if exist %WINDIR%\choice.com goto menu

copy choice.com %WINDIR%

:menu

cls

echo.
echo    -------------------------------
echo    TIF-Clean Installer\Uninstaller
echo    -------------------------------
echo.
echo    [1] Install TIF-Clean
echo.
echo    [2] Uninstall TIF-Clean
echo.
echo    [3] Exit
echo.
echo    Which do you wish to do?
echo.

choice /c:1234 /n /t:4,90 Please Choose One...

if errorlevel 4 goto menu
if errorlevel 3 goto end
if errorlevel 2 goto uninst
if errorlevel 1 goto install

goto menu

:install

cls

echo    -----------------
echo    Install TIF-Clean
echo    -----------------
echo.
echo    [1] Install DELTREE Version
echo.
echo    [2] Install WIPE Version
echo.
echo    [3] Return to Main Menu
echo.
echo    [4] Exit
echo.
echo    Which do you wish to do?
echo.

choice /c:12345 /n /t:5,90 Please Choose One...

if errorlevel 5 goto install
if errorlevel 4 goto end
if errorlevel 3 goto menu
if errorlevel 2 goto wip-inst
if errorlevel 1 goto dt-inst

:dt-inst

cls

:: ** Install TIF-Clean DELTREE Version"

if not exist tif-cln.reg goto error
if not exist tif-del.bat goto error
if not exist tif-cln.pif goto error
if not exist re-tif.reg goto error
if not exist re-tif.bat goto error
if not exist re-tif.pif goto error

if exist %WINDIR%\tif-cln.bat del %WINDIR%\tif-cln.bat
if exist %WINDIR%\tif-cln.pif del %WINDIR%\tif-cln.pif
if exist %WINDIR%\tif-cln.reg del %WINDIR%\tif-cln.reg
if exist %WINDIR%\re-tif.bat del %WINDIR%\re-tif.bat
if exist %WINDIR%\re-tif.pif del %WINDIR%\re-tif.pif

copy tif-del.bat %WINDIR%\tif-cln.bat
copy tif-cln.pif %WINDIR%
copy tif-cln.reg %WINDIR%
copy re-tif.bat %WINDIR%
copy re-tif.pif %WINDIR%

:reg-inst

start /w regedit.exe /s re-tif.reg
start /w regedit.exe /s tif-cln.reg

if exist %WINDIR%\command\deltree.exe goto success
if exist %WINDIR%\deltree.exe goto success

copy deltree.exe %WINDIR%

goto success

:wip-inst

cls

:: ** Install TIF-Clean WIPE Version"

if not exist tif-cln.reg goto error
if not exist tif-wip.bat goto error
if not exist tif-cln.pif goto error
if not exist re-tif.reg goto error
if not exist re-tif.bat goto error
if not exist re-tif.pif goto error

if exist %WINDIR%\tif-cln.bat del %WINDIR%\tif-cln.bat
if exist %WINDIR%\tif-cln.pif del %WINDIR%\tif-cln.pif
if exist %WINDIR%\tif-cln.reg del %WINDIR%\tif-cln.reg
if exist %WINDIR%\re-tif.bat del %WINDIR%\re-tif.bat
if exist %WINDIR%\re-tif.pif del %WINDIR%\re-tif.pif

copy tif-wip.bat %WINDIR%\tif-cln.bat
copy tif-cln.pif %WINDIR%
copy tif-cln.reg %WINDIR%
copy re-tif.bat %WINDIR%
copy re-tif.pif %WINDIR%

:reg-inst

start /w regedit.exe /s re-tif.reg
start /w regedit.exe /s tif-cln.reg

if exist %WINDIR%\command\wipe.exe goto success
if exist %WINDIR%\wipe.exe goto success

copy wipe.exe %WINDIR%

goto success

:uninst

cls

:: ** Uninstall TIF-Clean"

if exist %WINDIR%\tif-cln.bat goto go-uninst

goto error2

:go-uninst

del %WINDIR%\tif-cln.bat
del %WINDIR%\tif-cln.pif
del %WINDIR%\tif-cln.reg
del %WINDIR%\re-tif.bat
del %WINDIR%\re-tif.pif

echo.
echo    TIF-Clean files have been removed from your Windows directory.
echo.
echo    Now, you must remove the Registry entries which start TIF-Clean
echo    during bootup. Removal of the "TIF-Clean" Registry entries can be
echo    done in REGEDIT.EXE (the Windows Registry Editor), which we
echo    will open for you.
echo.
echo    Once REGEDIT.EXE opens, please navigate to the following location
echo    in the Registry, click on the "RE-TIF" value in the right hand 
echo    window pane of REGEDIT.EXE, and select "Edit," then "Delete" from
echo    the menu.
echo.
echo       HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Run
echo.
echo    Next, navigate to this next key (which should be just below the Run key
echo    that you just edited), click on the "TIF-Clean" value in the right hand 
echo    window pane, select "Edit," then "Delete" from the menu.
echo.
echo       HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnce
echo.
pause

start /w regedit.exe   

goto removed

:error
cls
echo.
echo    Sorry, one of the required files is missing.
echo    Please correct the error and try again.
echo.
pause
goto menu

:error2

cls

echo.
echo    Sorry, but it doesn't appear that TIF-Clean is 
echo    currently installed on this computer.
echo.
pause
goto menu

:success

cls

echo.
echo    TIF-Clean has been installed on this computer.
echo.
echo    TIF-Clean will run the next time you start Windows.
echo.

pause

goto menu

:removed

cls

echo.
echo    TIF-Clean has been removed from this computer.
echo.
echo    WIPE.EXE and/or DELTREE.EXE have been left in
echo    in your Windows directory for future use.   
echo.

pause

goto menu

:NO-NT

cls

echo.
echo    ***************************************************
echo    **  It looks like you're running Windows NT 4.0, **
echo    **  Windows 2000, or Windows XP.                 **
echo    **                                               **
echo    **  This version of TIF-Clean should not be used **
echo    **  on Windows NT/2K/XP systems.                 **
echo    **                                               **
echo    **  Please download and install TIF-CLN-NT.      **
echo    ***************************************************
echo.

pause

goto end

:end

cls

echo.
echo.
echo    Bye for now...
echo.
echo.
echo.
